﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 实时服务上报    
    /// </summary>
    [Description("实时服务上报")]
    public class SendRealTimeStatus : FullStateEntity
    {
        /// <summary>
        /// 热线标识
        /// </summary>
        [SugarColumn(ColumnDescription = "热线标识", ColumnDataType = "varchar(24)")]
        public string HOTLINE { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AREA_CODE { get; set; }

        /// <summary>
        /// 行政区划名称
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划名称", ColumnDataType = "varchar(24)")]
        public string AREA_NAME { get; set; }

        /// <summary>
        /// 在线服务代表数
        /// </summary>
        [SugarColumn(ColumnDescription = "在线服务代表数")]
        public int CRNT_SEATNUM { get; set; }

        /// <summary>
        /// 通话服务代表数
        /// </summary>
        [SugarColumn(ColumnDescription = "通话服务代表数")]
        public int CRNT_TELNUM { get; set; }

        /// <summary>
        /// 今日诉求总量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日诉求总量")]
        public int TDY_NUM { get; set; }

        /// <summary>
        /// 今日电话诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日电话诉求量")]
        public int TDY_TELNUM { get; set; }

        /// <summary>
        /// 今日政务服务网诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日政务服务网诉求量")]
        public int TDY_ZWNUM { get; set; }

        /// <summary>
        /// 今日网站诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日网站诉求量")]
        public int TDY_WZNUM { get; set; }

        /// <summary>
        /// 今日微信诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日微信诉求量")]
        public int TDY_WXNUM { get; set; }

        /// <summary>
        /// 今日APP诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日APP诉求量")]
        public int TDY_APNUM { get; set; }

        /// <summary>
        /// 今日其他诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日其他诉求量")]
        public int TDY_OTNUM { get; set; }

        /// <summary>
        /// 今日电话接通率
        /// </summary>
        [SugarColumn(ColumnDescription = "今日电话接通率")]
        public double TDY_TELRATE { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
